<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Prevent direct access to the script.
}
$profile_id    = gigneo_active_profile_id();
$profile_type  = gigneo_profile_type( $profile_id );
$platform_type = gigneo_platform_type();
$credit_system = gigneo_has_credit_system();

//Stats
$template_args = array(
	'profile_id'    => $profile_id,
	'profile_type'  => $profile_type,
	'platform_type' => $platform_type,
	'credit_system' => $credit_system,
);
?>
<div id="gn-account-wallet-wrapper" class="gn-account-main-wrapper">
	<?php
	//Stats
	gigneo_load_template( 'dashboard/account/parts/wallet/stat', false, $template_args );
	?>
	<div class="row">
		<div class="col-xl-8 col-lg-7 col-md-12">
			<?php
			//Overview Chart
			gigneo_load_template( 'dashboard/account/parts/wallet/overview', false, $template_args );
			?>
		</div>
		<div class="col-xl-4 col-lg-5 col-md-12">
			<?php
			//Withdrawal Request
			gigneo_load_template( 'dashboard/account/parts/wallet/withdrawal', false, $template_args );
			?>
		</div>
	</div>
	<?php
	//Invoices
	gigneo_load_template( 'dashboard/account/parts/wallet/invoice', false, $template_args );
	?>
</div>
<?php
//Add Funds Modal
gigneo_load_template( 'dashboard/account/parts/deposit-funds', false, $template_args );
//Withdraw Funds Modal
gigneo_load_template( 'dashboard/account/parts/withdraw-funds', false, $template_args );
